Subject: Re: [Idr] IDR WG Charter- (Was Re: Adoption call for draft-dawra-idr-bgpls-srv6-ext [5/2 - 5/16/2018])

From: "Susan Hares" <[email-masked]>
Date: Wed, 5 Jun 2019 09:26:59 -0400

Alvaro: 

Thank you for this email.   I’ll discuss the charter with John and start a mail thread on a revised charter.

It may be a few days before the mail thread.   John and I are trying to process a number of drafts (some to IESG, some to WG LC, some to adoption) by this Friday (June 7th) so that IDR members can prepare revisions for IETF 105.  

Sue Hares 

From: Alvaro Retana [mailto:[email-masked]] 
Sent: Wednesday, June 5, 2019 8:44 AM
To: Robert Raszuk
Cc: idr@ietf. org; rtgwg-chairs; <[email-masked]>; Susan Hares
Subject: IDR WG Charter (Re: [Idr] Adoption call for draft-dawra-idr-bgpls-srv6-ext [5/2 - 5/16/2018])

On June 4, 2019 at 9:46:23 AM, Robert Raszuk ([email-masked]) wrote:

[Changed the subject.  Explicitly added rtgwg-chairs/rtg-ads: take a look at the last part of this message.]

Robert:

Hi!

As to the 99% of BGP-LS,  that’s a question the chairs and ADs tried to ask the WG in 2018.   The WG did not engage on that discussion. 

I reread the IDR charter ,,, https://datatracker.ietf.org/wg/idr/about/

I did not find anything there which would justify any of the work related to BGP-LS needs in this WG for example - topology or link state information transport. 

According to the datatracker, the last revision of the Charter was in 2010.  It still includes items such as MIBs and four-octet ASNs... I think it is time for an update!  This is a conversation that I’ve already had with the Chairs and they have the AI to kick off that discussion.  Among other things, more clarity is needed on the overall responsibility around BGP.

To your point about BGP-LS; I think that a liberal interpretation of the Charter and the general understanding that this WG is responsible for BGP allows that work.  It would have been ideal if the question had come at the time when the work was started…. 

It would also be ideal if the Charter (all charters) always reflected what a WG is working on…but sometimes the process of updating can get in the way of getting work done.

[Bringing in your other point.]

On June 4, 2019 at 6:30:26 AM, Robert Raszuk ([email-masked]) wrote:

Even charter aside IMO by shifting IDR focus and processing 99% of BGP-LS related documents we are doing huge disservice to Internet and routing related needs without even bringing the aspect of protocol pollution.

...

IMO AD should recognize the need for various non routing information transport and steer this towards BOF and new WG creation to define new protocol for it.. Even if rather from scratch such effort would reuse some of the BGP features. And while it was not done up front it is not too late now. 

I have also had the conversation with the Chairs about the load that BGP-LS represents to idr and the general topic of information transport (note that BGP is not the only protocol in the Routing Area being used to transport stuff…so it is a much wider topic).  The last time was a few months ago.  I don’t remember having the discussion on the list.

At that time, the general consensus (between the Chairs and me) was that the operation of BGP-LS should be maintained in idr (it is BGP!).  I don’t remember any objection about having a discussion about the wider topic.  A non-WG forming BOF seems like the right place to do that.

I would be happy to sponsor that discussion at IETF 105.  See more below...

I think there are a couple of actions that should come out of this thread:

(1) idr Charter Update.  I’ll rely on the Chairs to move this topic forward.  Even though the time is short, it would be ideal to have a focused discussion in Montreal.

(2) Non-Routing Information Transport (nRIT).  This is clearly a non-idr-specific topic. If you (and/or someone else) wants to propose a BOF for Montreal, I will sponsor it — note that the deadline for BOF proposals is this Friday [1].  Realizing that a BOF proposal might be too rushed, we could also talk about this in rtgwg (their Charter clearly talks about being a "venue to discuss, evaluate, support and develop proposals for new work in the Routing Area”).  If we want to have a fruitful discussion (and not just statements in one direction or another), then I expect to start working on this right away.

Thanks!

Alvaro.

[1] https://trac.tools.ietf.org/bof/trac/